<!doctype html>
<html>

<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0, shrink-to-fit=no">
    <title>{{title}}</title>
    <link rel="stylesheet" href="{{url_for('static',filename='bootstrap/css/bootstrap.min.css')}}">
    <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Montserrat:300,400,600">
    <link rel="stylesheet" href="{{url_for('static',filename='fonts/font-awesome.min.css')}}">
    <link rel="stylesheet" href="{{url_for('static',filename='fonts/ionicons.min.css')}}">
    <link rel="stylesheet" href="{{url_for('static',filename='css/Footer-Dark.css')}}">
    <link rel="stylesheet" href="{{url_for('static',filename='css/navbar-agenda.css')}}">
    <link rel="stylesheet" href="{{url_for('static',filename='css/base.css')}}">
    {% block style %}{% endblock %}
</head>

<body>
    <div class="nav">
        <nav class="navbar navbar-light navbar-expand-md fixed-top nav">
            <div class="container-fluid">
                <button data-toggle="collapse" class="navbar-toggler" data-target="#navcol-1">
                    <span class="sr-only">Toggle navigation</span>
                    <span class="navbar-toggler-icon"></span>
                </button>
                <div class="collapse navbar-collapse" id="navcol-1">
                    <a href="{{url_for('home')}}">
                        <img class="logo" src="{{url_for('static',filename='img/logo.png')}}">
                    </a>
                    {% if current_user.admin %}
                    <p style="color: red;text-align:center;">Administrateur</p>
                    {% endif %}
                    <ul class="nav navbar-nav mx-auto qsfqs">
                        <li class="nav-item"><a class="nav-link" href="{{url_for('home')}}">Accueil</a></li>
                        <li class="nav-item"><a class="nav-link" href="{{url_for('galerie')}}">Galerie</a></li>
                        <li class="nav-item"><a class="nav-link" href="{{url_for('getEvents')}}">Evenement</a></li>
                        <li class="nav-item"><a class="nav-link" href="{{url_for('carte')}}">Carte</a></li>
                        {% if current_user.admin %}
                        <li class="nav-item"><a class="nav-link" href="{{url_for('jeux_proposes')}}">Jeux proposés</a></li>
                        <li class="nav-item"><a class="nav-link" href="{{url_for('gerer_utilisateurs')}}">Gérer les utilisateurs</a></li>
                        {% endif %}
                    </ul>
                     {% if current_user.is_authenticated %}
                    <ul class="nav navbar-nav fsdgsd">
                        <li class="nav-item"><a class="nav-link" href="{{url_for('getProfil')}}">{{ current_user.pseudo }}</a></li>
                    <li class="nav-item"><a class="nav-link" href="{{url_for('logout')}}">Se déconnecter</a></li>
                          </ul>
                        {% else %}

                        <ul class="nav navbar-nav fsdgsd">
                        <li class="nav-item"><a class="nav-link" href="{{url_for('auth.login')}}">Connexion</a></li>
                        <li class="nav-item"><a class="nav-link" href="{{url_for('auth.register')}}">Inscription</a>


                        </li>
                    </ul>
                        {% endif %}
                </div>
            </div>
        </nav>
    </div>
    {% with messages = get_flashed_messages() %}
    {% if messages %}
    <div class="notification is-danger" style="margin: 1em auto;">
        <p style="color:red;text-align: center;">{{ messages[0] }}</p>
    </div>
    {% endif %}
    {% endwith %}
    <div id="page">
        {% block main %}{% endblock %}
    </div>
    <footer class="footer-dark">
        <div class="container">
            <div class="row">
                <div class="col-sm-6 col-md-3 item">
                    <h3>Services</h3>
                    <ul>
                        <li><a href="#">Web design</a></li>
                        <li><a href="#">Development</a></li>
                        <li><a href="#">Hosting</a></li>
                    </ul>
                </div>
                <div class="col-sm-6 col-md-3 item">
                    <h3>About</h3>
                    <ul>
                        <li><a href="#">Company</a></li>
                        <li><a href="#">Team</a></li>
                        <li><a href="#">Careers</a></li>
                    </ul>
                </div>
                <div class="col-md-6 item text">
                    <h3>Company Name</h3>
                    <p>
                        Praesent sed lobortis mi. Suspendisse vel placerat ligula. Vivamus ac sem lacus. Ut vehicula
                        rhoncus elementum. Etiam quis tristique lectus. Aliquam in arcu eget velit pulvinar dictum
                        vel in justo.
                    </p>
                </div>
                <div class="col item social">
                    <a href="#"><i class="icon ion-social-facebook"></i></a>
                    <a href="#"><i class="icon ion-social-twitter"></i></a>
                    <a href="#"><i class="icon ion-social-snapchat"></i></a>
                    <a href="#"><i class="icon ion-social-instagram"></i></a>
                </div>
            </div>
            <p class="copyright">Coffre à jeu © 2020</p>
        </div>
    </footer>
    {% block script %}{% endblock %}
    <script src="{{url_for('static',filename='js/jquery.min.js')}}"></script>
    <script src="{{url_for('static',filename='bootstrap/js/bootstrap.min.js')}}"></script>
</body>

</html>